Subject: RE: [External] : bug#51312: 29.0.50; Indenting vectors with leading spaces errors out

From: Drew Adams <[email-masked]>
Date: Thu, 21 Oct 2021 04:59:01 +0000

> Trying to use the newish space-after-parenthesis syntax...

Newish?  Or "some time back", as you said in emacs-devel?

Where is that convention documented?  Is it in
(elisp) Coding Conventions perhaps?  I don't have
Emacs 28, and I don't see it there in 27.2.

The only thing about parens I see in that node is
this, which really was established some time back:

 "Don't make a habit of putting close-parentheses
  on lines by themselves; Lisp programmers find
  this disconcerting."

FWIW, I'd guess that Lisp programmers might find
your newish convention disconcerting.  Is there
a community of them that use it, or is it just a
newish eureka someone had?

If the aim is just to work around poor indentation
then I'd say it's the wrong solution for that.

If the aim is just to indicate that the sexp isn't
evaluated (it's "data") then the quote or backquote
does that, no?  Doesn't seem very lispy, to me.

Just one somewhat disconcerted Lisp programmer.